Error Codes

HTTP Status Codes

The Management API returns standard HTTP status codes in response to an API call.

HTTP Status CodeDescription
2xxSuccessful responses
4xxClient errors
5xxServer errors


Error Codes

When an error is detected with an API request, a standard response format is returned. The errors object returns a list of one or more identified errors detected within the API request.

{
    "errors": [{
        "code": "error_code",
        "description": "Something went wrong."
    }, {
        "code": "error_code",
        "description": "Something else went wrong."
    }]
}
PropertyDescription
code string

Standardized error label



This label can be used by software to make determinations about how to respond to the error.

description stringHuman-readable explanation of the error

The following sections list the code and description returned for each possible error, organized by HTTP status code.


4xx

Status CodeCodeDescription
400(varies)

An invalid JSON request body or payload has been provided as part of the API call



See: 400 Specific Errors

401unauthorizedProvided authentication credentials are invalid
403forbiddenRequestor does not have permission to perform the request
404not_foundrequested resource could not be found
405method_not_allowedProvided method is not allowed on the targeted resource
409conflictRequest conflicts with state of target resource
422unprocessableProvided request cannot be processed
429rate_limit_exceeded

Rate limit has been exceeded



The Management API rate limit is 60 requests/minute per API secret. Calls that exceed this rate will not be executed.



If your implementation exceeds this rate limit, contact our Support team. Our Support team can evaluate your implementation and provide options to address your requirements.


400 Specific Errors

The table lists all the error codes and description structures for 400 HTTP code responses. These errors provide feedback about how to correct the invalid JSON request body or payload. When multiple issues are present in the JSON request body or payload, the error response will include multiple error codes and descriptions.

📘

The information in the Description column in the following table provides the general structure of the error response description. The details of the error response description are specific to each API route.

Error CodeDescription
empty Field x cannot be empty.
invalid_format Field x cannot ...y.... Value of z was provided.
invalid_type Field x must be of type y. Value of z was provided.
not_allowed Field x cannot be used with y. Value of z was provided.
required Field x is required.
resource_exhausted You cannot x any more of y. Value of z was provided.
too_high Field x must be lower than y. Value of z was provided.
too_long Field x must be shorter than y characters. Value of z was provided.
too_low Field x must be higher than y. Value of z was provided.
too_short Field x must be longer than y. Value of z was provided.

5xx

Status CodeCodeDescription
500internal_server_errorUnexpected internal server error occurred
502bad_gatewayDependent service returned an invalid response
503service_unavailableDependent service is temporarily unavailable
504gateway_timeoutDependent service timed out
© 2007- Longtail Ad Solutions, Inc.